Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » How to build an old version of WTP (2.0.2)? (How to build an old version of WTP (2.0.2)? )
How to build an old version of WTP (2.0.2)? [message #516331] Tue, 23 February 2010 15:56 Go to next message
No real name is currently offline No real nameFriend
Messages: 2
Registered: February 2010
Junior Member
Hello,

The title says it all: I can't find a way to checkout and build WTP v2.0.2. I need to provide support for this very precise version of WTP and thus need to have the sources and be able to build them.

I found the download page for 2.0.2 but the wtp-sdk-R-2.0.2-20080223205547.zip contains a lot of plugins without source code and I don't think all of these plugins are necessary.

I tried through the Eclipse Update Site but with no luck!

I found this howto Developing the WTP with Eclipse. It looks quite old and just explains how to checkout a particular plugin without giving the whole list of plugins needed for a full WTP

I found the CVS repo but I am confused by all the directories in it. Which are to checkout?
:pserver:anonymous@dev.eclipse.org:/cvsroot/webtools

And I've googled it a looooot during these past days Razz !

So basically: is there an archive somewhere that contains all sources for WTP 2.0.2?
Can I get the sources via the CVS? If yes, which plugins/directories are to be retrieved for a full WTP 2.0.2?
Anyone having a little "howto" or tips on how to do that?

Any help would be greatly appreciated!
Re: How to build an old version of WTP (2.0.2)? [message #516467 is a reply to message #516331] Wed, 24 February 2010 06:48 Go to previous messageGo to next message
David Williams is currently offline David WilliamsFriend
Messages: 176
Registered: July 2009
Senior Member
Good grief. Do I pity you! You have a tough row to hoe! :)
No chance of moving up? To at least 2.0.3? (but I'd recommend moving up
to the latest release!

I can give you a few pointers, but you'll need to do a lot of
investigation and sleuthing to reconstruct such an old build.

Off hand, I'd guess a month of full time effort. But, maybe you mean you
just need to create a patch for 2.0.2, and not literally rebuild it all?

And, I don't mean to be pessimistic ... maybe you'll figure everything
out easily with these few pointers. If you do ... how about you right up
your experience for others to learn from?!

> I found
> http://archive.eclipse.org/webtools/downloads/drops/R2.0/R-2 .0.2-20080223205547/
> but the wtp-sdk-R-2.0.2-20080223205547.zip contains a lot of plugins
> without source code and I don't think all of these plugins are necessary.

Well, they are all necessary if you want a full "wtp". The source is
there, but I suspect way back then it was in source zips and in any
case, sdk source is not be in a form useful for re-building. But you
should be able to "import from target" with "include source" to get the
source in your dev. env.

>
> I found this howto
> http://www.eclipse.org/webtools/community/tutorials/Developi ngWTP/DevelopingWTP.html
> It looks quite old and just explains how to checkout a particular plugin
> without giving the whole list of plugins needed for a full WTP

You might want to read
http://wiki.eclipse.org/WTP/Build/WTP_Batch_Build
but that's hard enough to do on current code. I'm not sure its accurate
for such old code. Well, I'm sure its not. But, the principles would be
the same. But, again, I sort of doubt you really need to do a full
re-build. That'd be rare. Doable, in theory, and interesting, but pretty
specialized need.


>
> I found the CVS repo but I am confused by all the directories in it.
> Which are to checkout?
> :pserver:mailto:anonymous@dev.eclipse.org:/cvsroot/webtools
>

That's the right repo. (except for the mailto part? :)

>
> So basically: is there an archive somewhere that contains all sources
> for WTP 2.0.2?

No. Just CVS.

> Can I get the sources via the CVS? If yes,
> which plugins/directories are
> to be retrieved for a full WTP 2.0.2?

One key bit of knowledge you'll find helpful, I hope, is that we build
based on _map files_ and those map files _are_ included on the each
download page. So for the build at
http://archive.eclipse.org/webtools/downloads/drops/R2.0/R-2 .0.2-20080223205547
you'll see the "map files" link points to
http://archive.eclipse.org/webtools/downloads/drops/R2.0/R-2 .0.2-20080223205547/directory.txt

You can see from this long file, exactly what was pulled in to build
with. For example, the first entry is
feature@org.eclipse.jst.common_core.feature=v200706041905,:pserver:anonymous@dev.eclipse.org :/cvsroot/webtools,,common/features/org.eclipse.jst.common_c ore.feature

Which means the org.eclipse.jst.common_core.feature module tagged with
v200706041905. And that module, if not listed obviously in cvs explorer,
can be found under the 'common/features' directory in cvs.

There is a tool, provided by the Eclipse Platform releng team, call
releng tools, that is at the bottom of their build pages. You need to
get the version of releng tools that is specific to your dev. env. Once
installed, it provides an option, under 'Team' to "Load projects from
map files" (if a map file is selected). You'd need to create a map file,
and paste in the content of that directory.txt file. You might want to
start off with small pits until you are familar with it, what you need,
and how long it will take.

If you just need a few fixes to WTP code, I'd suggest you create a PDE
target based on 2.0.2 (and its pre-reqs) and then pull in exactly what
you need to patch, and then create feature patches to fix exactly what
you want.

> Anyone having a little "howto" or tips on how to do that?
> Any help would be greatly appreciated!
>

Good luck!
Re: How to build an old version of WTP (2.0.2)? [message #517529 is a reply to message #516467] Mon, 01 March 2010 08:35 Go to previous messageGo to next message
No real name is currently offline No real nameFriend
Messages: 2
Registered: February 2010
Junior Member
Wow! Thanks for the quick and very complete answer!

OK so it looks like we won't manage to build it all so we are considerating providing support for seperate modules that we would build independently as you mentionned :

>If you just need a few fixes to WTP code, I'd suggest you create a PDE
> target based on 2.0.2 (and its pre-reqs) and then pull in exactly what
> you need to patch, and then create feature patches to fix exactly what
> you want.

So anyhow: thanks a lot you saved me a lot of headaches trying to figure out how to do that. Cool
Re: How to build an old version of WTP (2.0.2)? [message #520393 is a reply to message #517529] Fri, 12 March 2010 08:47 Go to previous message
Sarika Sinha is currently offline Sarika SinhaFriend
Messages: 52
Registered: February 2010
Location: Bangalore, India
Member
Also at any time you can checkout the code from specific tag version. Suppose you have org.eclipse.jst.jsp.core_1.2.300.v200910291754.jar in the plugins, you can checkout org.eclipse.jst.jsp.core plugin with the tag v200910291754 . Similarly you can checkout other wtp plugins.

Sarika Sinha
JDT Programmer

[Updated on: Fri, 12 March 2010 08:52]

Report message to a moderator

Previous Topic:TargetId for WTP XML Editor Popup
Next Topic:OpenAjax Metadata Support in JSDT
Goto Forum:
  


Current Time: Thu Dec 18 04:16:36 GMT 2014

Powered by FUDForum. Page generated in 0.02491 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software